Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236366 - Review Request: clutter-gtk - basic GTK clutter widget
Summary: Review Request: clutter-gtk - basic GTK clutter widget
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-13 14:03 UTC by Allisson Azevedo
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-13 14:36:47 UTC
mtasaka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Allisson Azevedo 2007-04-13 14:03:15 UTC
Spec URL: http://fedora.allisson.eti.br/clutter-gtk/clutter-gtk.spec
SRPM URL: http://fedora.allisson.eti.br/clutter-gtk/clutter-gtk-0.1.0-1.src.rpm

Description: This allows clutter to be embedded in GTK applications. 
We hope with further work in the future clutter-gtk will 
also allow the reverse, namely embedding GTK in Clutter

Comment 1 Mamoru TASAKA 2007-05-10 16:09:53 UTC
Perhaps this can be approved with some few fixes (if any)

Comment 2 Mamoru TASAKA 2007-05-10 17:14:33 UTC
* Should/Must fix
! Suggestion or something else
? Question

For 0.1.0-1:

! Redundant dependencies (NOT A BLOCKER)
  - gtk2-devel is required by clutter-devel (as clutter-devel 
    requires gdk-pixbuf-2.0.pc). So "(Build)Requires: gtk2-devel"
    can be removed.

    However for this package I don't force you to remove "gtk2-devel"
    because clutter-gtk.pc explicitly requires gtk+-2.0.pc.

* File/directory ownership issue
  - The following directories are already owned by other packages
    and should not be owned by these packages.
--------------------------------------------------------
/usr/include/clutter-0.2   owned by clutter-devel
--------------------------------------------------------

* Documentation
  - The following files should not be installed as documentation
--------------------------------------------------------
INSTALL - this file is needed for people who want to install this
          software by themselves and is not needed for rpm
          management.
--------------------------------------------------------

* Timestamps
  - This package installs some files which are not built or modified
    during rebuild (header file and documentation), and
    keeping timestamps on these files is highly recommended.
    For this package, please use the following:
--------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
--------------------------------------------------------

? License (NOT A BLOCKER)
  - Well, actually COPYING file declares that this is licensed under
    GPL, however all sources are licensed under LGPL and
    license.html also says this is LGPL-licensed.
    Would you ask which license is correct? (either is okay so
    this is not a blocker)

Comment 3 Allisson Azevedo 2007-05-10 18:37:12 UTC
Update package:

Spec URL: http://fedora.allisson.eti.br/clutter-gtk/clutter-gtk.spec
SRPM URL: http://fedora.allisson.eti.br/clutter-gtk/clutter-gtk-0.1.0-2.src.rpm

Changelog:

- INSTALL removed from docs
- fix make install for keeping timestamps
- fix files section
- changed license for LGPL

Comment 4 Mamoru TASAKA 2007-05-10 18:43:14 UTC
For -2:
This time %{_includedir}/clutter-0.2/clutter-gtk/ is not owned
by any package and this directory should be owned by 
-devel package.

Pleasse fix this (you can attach spec file) and I can approve
this package.

Comment 5 Allisson Azevedo 2007-05-10 19:20:28 UTC
Update package:

Spec URL: http://fedora.allisson.eti.br/clutter-gtk/clutter-gtk.spec
SRPM URL: http://fedora.allisson.eti.br/clutter-gtk/clutter-gtk-0.1.0-3.src.rpm

Changelog:

- fix devel files section


Comment 6 Mamoru TASAKA 2007-05-10 19:25:18 UTC
Okay!!

-------------------------------------------------------
  This package (clutter-gtk) is APPROVED by me
-------------------------------------------------------

Comment 7 Allisson Azevedo 2007-05-10 19:42:40 UTC
New Package CVS Request
=======================
Package Name: clutter-gtk
Short Description: basic GTK clutter widget
Owners: allisson@gmail.com
Branches: FC-6

Comment 8 Mamoru TASAKA 2007-05-13 14:15:46 UTC
Please close when rebuld is done.


Note You need to log in before you can comment on or make changes to this bug.